Subject: bug#76797: 29.1; read-string docstring doesn't mention return value

From: Howard Melman <[email-masked]>
Date: Thu, 6 Mar 2025 21:37:55 -0500

The docstring for read-string in emacs 29.1 doesn't mention
its return value (though the 4th arg describes what it
returns if the user enters the empty string).

I agree it's kind of obvious that it returns the read string
but not seeing it explicitly made me scan for something I
might have been missing.

I suggest the first line instead of:

    Read a string from the minibuffer, prompting with string PROMPT.

be:

    Return a string read from the minibuffer, prompting with string PROMPT.

or if 71 characters is too long, one of:

    Return a string read from the minibuffer, prompting with PROMPT.
    Return a string read from the minibuffer, using PROMPT string.
    Return a string read from the minibuffer, using string PROMPT.

Or just mention the return value in the one of the other lines.

-- 

Howard